<?php
	session_start();
	include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
	if(strlen($_SESSION['SYS_USER_ID'])==0){JsDir("login.php");	return;}
	//-------------------------
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	//-------------------------
	$StrAlm=V($_POST['CboAlm']);		
	$StrAlmD=V($_POST['CboAlmD']);
	$StrSN=V($_POST['CboSN']);		
	$StrNum=V($_POST['TxtNum']);		
	$StrDex=V($_POST['TxtDex']);		
	$StrHax=V($_POST['TxtHax']);				
	//-------------------------
	//if(strlen($StrAlm)==0) $StrAlm=$_SESSION['SYS_USER_ALM'];
	//if(strlen($StrAlmD)==0) $StrAlmD=GetSO("alm_nombre","almacenes","","alm_nombre");
	//-------------------------
	if(strlen($StrSN)==0) $StrSN="NO";
	$StrNum_=$StrNum."%";
	if(strlen($StrDex)==0){
		$StrDex_="2000-01-01";
	}else{
		$StrDex_=ToDate($StrDex);
	}
	if(strlen($StrHax)==0){
		$StrHax_="2020-12-01";
	}else{
		$StrHax_=ToDate($StrHax);
	}
	
	
	
	//-------------------------
	$StrSN_=substr($StrSN,0,1);
	//-------------------------	
	$FF="ID>0 AND ORI LIKE '$StrAlm' AND DES LIKE '$StrAlmD' AND 
		 NUM LIKE '$StrNum_' AND FEC >= '$StrDex_' AND 
		 FEC <= '$StrHax_' AND ANU LIKE '$StrSN_'";
		 
		 
	$LStrTR=gn("count(*)","vtransferencias",$FF);							
	$VP_RegXPag=15;
	$LStrPag=V($_POST['TxtPag']);
	if($StrCmd=="F"){$LStrPag="1";}
	$LStrPag=PagGet($LStrPag,$StrCmd,$LStrTR,$VP_RegXPag);
		
	$IdUsu=$_SESSION['SYS_USER_ID'];
	$AT=gs("at","usuarios","id_usuario=$IdUsu");
?>

<html >
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Transferencias - Buscar</title>
<!----------------------------------------->
<?php AddJs(); ?>
<script type="text/javascript" src="ja/funciones.js"></script>

<!----------------------------------------->
<link rel="stylesheet" type="text/css" href="css/estiloss.css"  />
<link rel="stylesheet" type="text/css" href="css/basic.css"  />
<link rel="stylesheet" type="text/css" href="css/mnu.css"  />
<!----------------------------------------->
<style type="text/css">
.cF {height:600px;width:1250px;position:relative;top:0px}
.mM {height:34px;width:1250px;position:relative;top:0px;background-color:#09C; z-index:500;}

</style>

<!----------------------------------------->
<script>
$(document).ready(function(){  
   Inicializar();
   jF("CboAlm");
});

function fGenPDF(){	
	document.getElementById("TxtAc").value="GEN_PDF";
	document.getElementById("Frm").submit();
}


$(document).keydown(function(e){
	var AT=gv("TxtAT");

	if(e.which==66 && e.altKey){
		if(AT=="1"){	
		document.getElementById("CmdB").click();
		return;
		}
	}

	if(e.which==86 && e.altKey){
		if(AT=="1"){
		document.getElementById("CmdZ").click();
		return;
		}
	}
  
});
</script>

<script language="javascript">
$(document).ready(function() {
	$(".botonExcel").click(function(event) {
		$("#datos_a_enviar").val( $("<div>").append( $("#Exportar_a_Excel").eq(0).clone()).html());
		$("#FormularioExportacion").submit();
});
});
</script>
<!----------------------------------------->

<body  <?php echo $LStrMsg;?>  >
<div align="center">

<div class="mM" align="left" style="font-size:12px">
<?php
$HTM=file_get_contents("http://inversionessounduniversal.com/ventas/phpmnu.php?USER_ID=$IdUsu");
echo $HTM;
?>
</div>

<div Id="DivFRM"  class="cF" style="background-color:#FFFFFF;" >
<form id="Frm" name="Frm" method="post"  autocomplete="off"
action="transferencias_buscar.php" 
style="margin:0px; padding:0px; display:inline;" onSubmit="return false;">

<!----------------------------------------->
<div id="DivT" class="dT"  style="width:1250px;">
<img src="b.png" class="iT" />
<div class="tT">TRANSFERENCIAS - BUSCAR</div>
</div>

<!----------------------------------------->

<div class="s1" style="left: 35px; top: 121px; width: 166px;">
ALMACEN ORIGEN</div>
<select name="CboAlm" id="CboAlm" 
class="lt" style="left: 33px; top: 138px; width:170px" 
tabindex="<?php echo ++$TI;?>">
<?php echo ListALM($StrAlm); ?>
</select>

<div class="s1" style="left: 216px; top: 121px; width: 149px;">
ALMACEN DESTINO</div>
<select name="CboAlmD" id="CboAlmD" 
class="lt" style="left: 214px; top: 138px; width:150px" 
tabindex="<?php echo ++$TI;?>">
<?php echo FCBO_("alm_nombre","almacenes","id_almacen>=0",$StrAlmD,"","");?>
</select>

<div class="s1" style="left: 375px; top: 121px; width: 74px;">
NUMERO</div>
<input name="TxtNum" type="text" id="TxtNum" 
class="lt" style="left: 376px; top: 138px; width:80px" 
value="<?php echo $StrNum;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 468px; top: 121px; width: 45px;">
DESDE</div>
<input name="TxtDex" type="text" id="TxtDex" 
class="fe" style="left: 468px; top: 138px; width:70px" 
value="<?php echo $StrDex;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 550px; top: 121px; width: 60px;">
HASTA</div>
<input name="TxtHax" type="text" id="TxtHax" 
class="fe" style="left: 551px; top: 138px; width:70px" 
value="<?php echo $StrHax;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 631px; top: 121px; width: 75px;">
ANULADO</div>
<select name="CboSN" id="CboSN" 
class="lt" style="left: 632px; top: 138px; width:80px" 
tabindex="<?php echo ++$TI;?>">
<?php
	if($StrSN=="" || $StrSN=="NO"){
		AD("NO",1);	AD("SI",0);
	}else{
		AD("NO",0);	AD("SI",1);
	}
?>
</select>

<!----------------------------------------->
<div id="DivBtn" align="left" style="position:absolute; left: 33px; top: 71px; width: 551px; height: 26px;">
<input name="CmdB" type="button" id="CmdB" class="btm"
value="Buscar" onClick="fFiltrar();"  
tabindex="<?php echo ++$TI;?>" />

<input name="CmdB" type="button" id="CmdZ" class="btm"
value="Volver" onClick="fBuscar('transferencias.php?TxtAc=X');"  
tabindex="<?php echo ++$TI;?>" />

<input name="CmdPDF" type="button" id="CmdPDF" class="btm" 
value="Generar PDF" onClick="fGenPDF();"
tabindex="<?php echo ++$TI;?>" />
</div>
    
<!----------------------------------------->

<div class="datagrid" style="position: absolute; left: 35px; top: 165px; width: 1180px; height: 400px; overflow: auto">
         
<table id="Exportar_a_Excel" width="75%">
<thead>
<tr>
<td colspan="4" align="center"><?php echo PagBtn($LStrTR,$VP_RegXPag,$LStrPag);?></td>
</tr>

<tr>
<th width="472" style="text-align:left; background:#999">ORIGEN</th>
<th width="410" style="text-align:left; background:#999"">DESTINO</th>
<th width="133"  style="text-align:left; background:#999"">NUMERO</th>
<th width="105"  style="text-align:left; background:#999"">FECHA</th>
</tr>
</thead>
<tbody>
<?php		  		

	$s="SELECT ID,ORI,DES,NUM,DATE_FORMAT(FEC,'%d-%m-%y')
		FROM vtransferencias 
		WHERE ".$FF." 
		ORDER BY ORI,DES,NUM,FEC  ";

	$result = grs($s);				
	while ($row = $result->fetch_row()){
		?>	
		<tr onDblClick="location.href='transferencias.php?Id=<?php echo $row[0];?>&Pag=0'">
		<!----------------------------------------------->
		<td><?php echo $row[1];?></td>  
		<td><?php echo $row[2];?></td>
		<td><a target="_blank" href="transferencias.php?Id=<?php echo $row[0];?>">'<?php echo $row[3];?></a></td>
		<td style="text-align:left"><?php echo $row[4];?></td> 

		<!----------------------------------------------->
		</tr>
		<?php
	}
?>		  
       
</tbody>
</table>
</div>


<!----------------------------------------->
<?php include("ocultos.php");?>

<div class="s1" style="left: 33px; top: 579px; width: 426px;">
Doble Click sobre el registro para activar Actualizacion</div>

</form>

<form action="ficheroExcel.php" 
    method="post" target="_blank" id="FormularioExportacion" >
    
    <div style="position: absolute; left: 313px; top: 71px; width: 45px; height: 15px;">  
    <input name="" type="button" class="botonExcel btm" value="Exportar"  />
    <input type="hidden" id="datos_a_enviar" name="datos_a_enviar" />
    </div>
</form>

<?php
if($StrCmd=="GEN_PDF"){
	$_PDF=GEN_PDF($FF,$StrAlm,$StrAlmD,$StrSN,$StrNum,$StrDex,$StrHax);
	$StrDESCARGAR=$_PDF;
}

function GEN_PDF($FF,$StrAlm,$StrAlmD,$StrSN,$StrNum,$StrDex,$StrHax){
$_CxL=112;
$_S=10;	

$pdf = new PDF('P','mm',A4);
$pdf->AddPage();$pdf->SetFont('courier','b',10);
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"TRANSFERENCIAS",0,1);	
$pdf->Cell(0,4,"",0,1);	
$pdf->SetFont('courier','',8);
//------------------------------------------

if(strlen($StrAlm)>0){
$_ENC=vbl("ALMACEN ORIGEN".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrAlm.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrAlmD)>0){
$_ENC=vbl("ALMACEN DESTINO".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrAlmD.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrNum)>0){
$_ENC=vbl("NUMERO".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrNum.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrDex)>0){
$_ENC=vbl("DESDE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrDex.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrHax)>0){
$_ENC=vbl("HASTA".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrHax.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrSN)>0){
$_ENC=vbl("ANULADO S/N".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrSN.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}
$pdf->Cell(0,4,"",0,1);	


//------------------------------------------
$pdf->SetFont('courier','b',8);
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);
$P=0;
$P++; $T[$P]=35;	$_ENC=vbl("ALM.ORIGEN".vbfill(" ",$T[$P]),$T[$P]);
$P++; $T[$P]=35;	$_ENC=$_ENC." ".vbl("ALM.DESTINO".vbfill(" ",$T[$P]),$T[$P]);
$P++; $T[$P]=31;	$_ENC=$_ENC." ".vbl("NUMERO".vbfill(" ",$T[$P]),$T[$P]);
$P++; $T[$P]=8;	$_ENC=$_ENC." ".vbl("FECHA".vbfill(" ",$T[$P]),$T[$P]);

$pdf->Cell(0,4,$_ENC,0,1);
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);
$pdf->SetFont('courier','',8);
//
$s="SELECT ID,ORI,DES,NUM,DATE_FORMAT(FEC,'%d-%m-%y')
	FROM vtransferencias WHERE ".$FF." ORDER BY ORI,DES,NUM,FEC  ";	

$result = grs($s);
while ($row = $result->fetch_row()){
$P=0;
$P++;	$_ENC=vbl($row[1].vbfill(" ",$T[$P]),$T[$P]);
$P++;	$_ENC=$_ENC." ".vbl($row[2].vbfill(" ",$T[$P]),$T[$P]);
$P++;	$_ENC=$_ENC." ".vbl($row[3].vbfill(" ",$T[$P]),$T[$P]);
$P++;	$_ENC=$_ENC." ".vbl($row[4].vbfill(" ",$T[$P]),$T[$P]);
$pdf->Cell(0,4,$_ENC,0,1);	
}
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	
$pdf->Cell(0,4,$_TI." ".$_TD,0,1);	

$_S=20;
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"",0,1);	
//
$PDF_NAME="Tranasferencias.pdf";
$pdf->Output($PDF_NAME);
return $PDF_NAME;
}
?>

<?php
if(strlen($StrDESCARGAR)>0){
echo "<div id=\"layer51\" 
	  style=\"position:absolute; left: 223px; top: 102px; 
	  width: 88px; background-color: #FFCC00; layer-background-color: #FFCC00; 
	  border: 1px none #000000; height: 17px;\">";
echo "<div align=\"center\" class=\"Estilo2\"> ";
echo " <a href=\"$StrDESCARGAR\" download>Desc.PDF</a> ";
echo "</div>";
echo "</div>";
}
?>

</div>
</div>
</body>
</html>
